udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
cdrom_discinfo Struct Reference

`#include <ide-pc.h>`

Collaboration diagram for cdrom_discinfo:

## Public Attributes
u_short | data_length
u_char | disc_status:2
u_char | session_status:2
u_char | erasable:1
u_char | _r1:3
u_char | trk0
u_char | nsessions
u_char | trk0_lastsession
u_char | trk1_lastsession
u_char | _r4:5
u_char | uru:1
u_char | dbc_v:1
u_char | did_v:1
u_char | disc_type
u_char | _r9
u_char | _r10
u_char | _r11
u_int | disc_id
u_char | latest_leadin_msf [4]
u_char | last_leadout_msf [4]
u_char | barcode [8]
u_char | _r32
u_char | n_opc

## Detailed Description

Definition at line 62 of file ide-pc.h.

## Member Data Documentation

u_char cdrom_discinfo::_r1

Definition at line 73 of file ide-pc.h.

u_char cdrom_discinfo::_r10

Definition at line 85 of file ide-pc.h.

u_char cdrom_discinfo::_r11

Definition at line 86 of file ide-pc.h.

u_char cdrom_discinfo::_r32

Definition at line 91 of file ide-pc.h.

u_char cdrom_discinfo::_r4

Definition at line 79 of file ide-pc.h.

u_char cdrom_discinfo::_r9

Definition at line 84 of file ide-pc.h.

u_char cdrom_discinfo::barcode[8]

Definition at line 90 of file ide-pc.h.

u_short cdrom_discinfo::data_length

Definition at line 63 of file ide-pc.h.

u_char cdrom_discinfo::dbc_v

Definition at line 81 of file ide-pc.h.

u_char cdrom_discinfo::did_v

Definition at line 82 of file ide-pc.h.

u_int cdrom_discinfo::disc_id

Definition at line 87 of file ide-pc.h.

u_char cdrom_discinfo::disc_status

Definition at line 64 of file ide-pc.h.

u_char cdrom_discinfo::disc_type

Definition at line 83 of file ide-pc.h.

u_char cdrom_discinfo::erasable

Definition at line 72 of file ide-pc.h.

u_char cdrom_discinfo::last_leadout_msf[4]

Definition at line 89 of file ide-pc.h.

u_char cdrom_discinfo::latest_leadin_msf[4]

Definition at line 88 of file ide-pc.h.

u_char cdrom_discinfo::n_opc

Definition at line 92 of file ide-pc.h.

u_char cdrom_discinfo::nsessions

Definition at line 76 of file ide-pc.h.

u_char cdrom_discinfo::session_status

Definition at line 68 of file ide-pc.h.

u_char cdrom_discinfo::trk0

Definition at line 75 of file ide-pc.h.

u_char cdrom_discinfo::trk0_lastsession

Definition at line 77 of file ide-pc.h.

u_char cdrom_discinfo::trk1_lastsession

Definition at line 78 of file ide-pc.h.

u_char cdrom_discinfo::uru

Definition at line 80 of file ide-pc.h.

The documentation for this struct was generated from the following file:

- wrudf/ide-pc.h